Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.AutoCommit Field
DatabaseConfig Class See Also Send Feedback

Enclose the open call within a transaction. If the call succeeds, the open operation is recoverable and all subsequent database modification operations based on this handle will be transactionally protected. If the call fails, no database has been created.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool AutoCommit

Visual Basic (Declaration)
    Public AutoCommit As Boolean

Visual C++
    public:
    bool AutoCommit

# See Also

DatabaseConfig Class
BerkeleyDB Namespace